%define name	BitTornado
%define version 0.3.10
%define release 1mdk

Summary:	Tool for copying files from one machine to another
Name:		%name
Version:	%version
Release:	%release
Epoch:		0
URL:		http://bittornado.com/
Source0:	http://www.bittornado.com/download/%name-%version.tar.bz2
Source1:	%name-16.png
Source2:	%name-32.png
Source3:	%name-48.png
License:	MIT
Group:		Networking/File transfer
BuildRoot:	%_tmppath/%name-buildroot
BuildARch:	noarch	
BuildRequires:	python-devel
Requires:	wxPythonGTK	
Conflicts:	bittorrent
Conflicts:	bittorrent-gui
Conflicts:	kdelibs-common <= 3.1.3
Obsoletes:	bittorrent-shadowsclient
Provides:	bittorrent-shadowsclient

%description
BitTorrent is a tool for copying files from one machine to another.
FTP punishes sites for being popular. Since all uploading is done
from one place, a popular site needs big iron and big bandwidth.
With BitTorrent, clients automatically mirror files they download,
making the publisher's burden almost nothing.

This package contains an experimental version of BitTorrent, which
contains many extra features.

%prep
%setup -q -n %name-CVS

%build
python ./setup.py build

%install
%__rm -rf %buildroot
python setup.py install --root=%buildroot

# Icons
%__install -D -m 644 %SOURCE1 %buildroot%_miconsdir/%name.png
%__install -D -m 644 %SOURCE2 %buildroot%_iconsdir/%name.png
%__install -D -m 644 %SOURCE3 %buildroot%_liconsdir/%name.png

# Menu
%__mkdir_p %buildroot%_menudir

cat << EOF >  %buildroot%_menudir/%name
?package(%name): \
needs="x11" \
section="Internet/File Transfer" \
command="btdownloadgui.py" \
mimetypes="application/x-bittorrent" \
accept_url="false" \
multiple_files="true" \
title="%name" \
longtitle="Download BitTorrent files" \
icon="%name.png"

?package(%name): \
needs="x11" \
section="Internet/File Transfer" \
command="btcompletedirgui.py" \
title="%name Creator" \
longtitle="Create BitTorrent metadata files"  \
icon="%name.png"
EOF

# Mime
%__mkdir_p %buildroot%_datadir/mime-info

cat << EOF > %buildroot%_datadir/mime-info/BitTorrent\ GUI.mime
application/x-bittorrent
	ext: torrent
EOF

%clean
%__rm -rf %buildroot

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc LICENSE.txt README* docs/*.txt
%_bindir/*
%_libdir/python*/site-packages/%name
%_menudir/%name
%_miconsdir/%name.png
%_iconsdir/%name.png
%_liconsdir/%name.png
%_datadir/mime-info/*

%changelog
* Sun Feb  6 2005 Goetz Waschk <waschk@linux-mandrake.com> 0.3.10-1mdk
- New release 0.3.10

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.3.8-2mdk
- Rebuild for new python

* Fri Nov 26 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.3.8-1mdk
- drop patch (does not apply anymore)
- fix source URL
- New release 0.3.8

* Mon Sep 27 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.3.7-2mdk
- fix menu
- work around bug 10519 (thanks to nicolas)

* Tue Aug  3 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.3.7-1mdk
- New release 0.3.7

* Fri Apr 30 2004 David Walluck <walluck@mandrake.org> 0:0.2.0-1mdk
- BitTornado 0.2.0 replaces bittorrent-shadowsclient 5.8.11

* Thu Apr 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 5.8.11-1mdk
- fix url
- new version

* Mon Dec 22 2003 Gtz Waschk <waschk@linux-mandrake.com> 5.8.7-1mdk
- new version

* Sun Dec 21 2003 Gtz Waschk <waschk@linux-mandrake.com> 5.8.3-2mdk
- remove conflicting KDE mime type

* Thu Oct  9 2003 Gtz Waschk <waschk@linux-mandrake.com> 5.8.3-1mdk
- initial contribs package

* Wed Oct 08 2003 Maxim Heijndijk <cchq@wanadoo.nl> 5.8.3-1mdk
- Initial wrap
